Reviews
Endpoints для чтения опубликованных отзывов и создания отзыва по своей заявке.
Список отзывов
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Sanctum token in Authorization: Bearer <token> format.
Query parameters
pageinteger · min: 1OptionalDefault:
1per_pageinteger · min: 1 · max: 100OptionalDefault:
25paginationstring · enumOptionalDefault:
Use cursor for large datasets. The first cursor page uses pagination=cursor; next pages use cursor.
pagePossible values: cursorstring · nullableOptional
Opaque cursor returned in meta.pagination.next_cursor.
filter[rating]integer · min: 1 · max: 5Optional
filter[order_id]integerOptional
filter[created_from]string · date-timeOptional
filter[created_to]string · date-timeOptional
Responses
200
Published reviews.
application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/reviews
GET /api/v3/private/reviews HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Published reviews.
{
"state": 0,
"message": "text",
"result": [
{
"id": 1,
"status": {
"id": 1,
"name": "published",
"is_published": true
},
"name": "text",
"text": "text",
"rating": 1,
"order": {},
"timestamps": {}
}
],
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Создать отзыв
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Sanctum token in Authorization: Bearer <token> format.
Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional
Makes unsafe requests safely repeatable for 24 hours by default.
X-Correlation-Idstring · max: 128Optional
Client-defined id used to correlate API request and webhook events.
Body
anyOptional
anyOptional
Responses
201
Review sent to moderation.
application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
404
Standard error envelope.
application/json
409
Standard error envelope.
application/json
422
Standard error envelope.
application/json
post/private/reviews
POST /api/v3/private/reviews HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 94
{
"name": "text",
"text": "text",
"rating": 1,
"rate_speed": 1,
"order_id": "text",
"tracking_id": "text"
}{
"state": 0,
"message": "text",
"result": {
"review": {
"id": 1,
"status": {
"id": 1,
"name": "published",
"is_published": true
},
"name": "text",
"text": "text",
"rating": 1,
"order": {},
"timestamps": {}
}
},
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Последнее обновление
Это было полезно?